package com.ym.mec.biz.dal.page;

import io.swagger.annotations.ApiModelProperty;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.common.page.QueryInfo;

public class StudentApplyDetailQueryInfo extends QueryInfo {
    /** 是否允许调剂 */
    @ApiModelProperty(value = "是否允许调剂",required = false)
    private YesOrNoEnum isAllowAdjust;

    @ApiModelProperty(value = "报名专业名称",required = false)
    private Integer subjectId;

    @ApiModelProperty(value = "实际专业名称",required = false)
    private Integer actualSubjectId;

    public YesOrNoEnum getIsAllowAdjust() {
        return isAllowAdjust;
    }

    public void setIsAllowAdjust(YesOrNoEnum isAllowAdjust) {
        this.isAllowAdjust = isAllowAdjust;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public Integer getActualSubjectId() {
        return actualSubjectId;
    }

    public void setActualSubjectId(Integer actualSubjectId) {
        this.actualSubjectId = actualSubjectId;
    }
}
